Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
Database
Search
Advisories by Product
Advisories by Vendor
Terminology
Report Vulnerability
Insecure Library Loading
Moderately critical

PHP-Nuke Cross Site Scripting

-

Release Date:  2002-10-10    Views:  7,605

Secunia Advisory SA7271

Where:

From remote

Impact:

Cross Site Scripting

Solution Status:

Unpatched

Software:

CVE Reference(s):

No CVE references.

Description


Another 7 Cross Site Scripting vulnerabilities has been identified in PHP-Nuke.

PHP-Nuke does not strip HTML tags from the TITLE when parsing rdf/rss.

One may send private messages with HTML in the body.

You can enter HTML tags directly to your journal.

Many fields in "Your Info" are not stripped for HTML.

The search field is not stripped if "POST"ed, only when using GET.

Fields to be used for web links and downloads are not stripped, this allows for HTML and javascript injection.


Solution:

Provided and/or discovered by:
Bruno Morisson
Pedro Inacio

Deep Links:
Links available to Secunia VIM customers

Do you have additional information related to this advisory?

Please provide information about patches, mitigating factors, new versions, exploits, faulty patches, links, and other relevant data by posting comments to this Advisory. You can also send this information to vuln@secunia.com

Subject: PHP-Nuke Cross Site Scripting

No posts yet

-

You must be logged in to post a comment.



 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Factsheets
Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability